This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 437435 - Cannot restart nfs
Cannot restart nfs
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: nfs-utils (Show other bugs)
5.1
All Linux
low Severity low
: rc
: ---
Assigned To: Steve Dickson
yanfu,wang
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-14 01:19 EDT by Mike McGrath
Modified: 2010-09-16 12:52 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-16 12:52:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Mike McGrath 2008-03-14 01:19:35 EDT
Description of problem:

This may be related to my other bug but at some point in time tonight nfslock
stopped respnding on our nfs server so no nfs clients could lock files.  

Upon logging in to the nfs server I found I could not restart nfs:

Mar 13 22:19:06 xen2 kernel: lockd_up: no pid, 15 users??
Mar 13 22:19:06 xen2 nfsd[20245]: nfssvc: writting fds to kernel failed: errno
98 (Address already in use)
Mar 13 22:19:06 xen2 kernel: lockd_up: no pid, 16 users??
Mar 13 22:19:06 xen2 nfsd[20245]: nfssvc: writting fds to kernel failed: errno
98 (Address already in use)
Mar 13 22:19:06 xen2 kernel: NFSD: Using /var/lib/nfs/v4recovery as the NFSv4
state recovery directory
Mar 13 22:19:06 xen2 kernel: NFSD: starting 90-second grace period
Mar 13 22:19:06 xen2 kernel: nfsd: last server has exited
Mar 13 22:19:06 xen2 kernel: nfsd: unexporting all filesystems
Mar 13 22:19:06 xen2 nfsd[20245]: nfssvc: Address already in use


Restarting box now to regain control of it.
Comment 1 Mike McGrath 2008-03-14 01:26:01 EDT
Other bug referenced above is - 436174

Side note, its not so much the failing of NFS in this case that is so crippling
but rather having to restart this host in Fedora's particular case that is a
real big problem, any advice on how to avoid that?
Comment 2 Steve Dickson 2008-03-31 10:33:12 EDT
When nfs cannot be restarted, are there current active NFS mounts 
to other servers?
Comment 3 Steve Dickson 2010-09-16 12:52:30 EDT
I'm going to close this bug as CURRENTRELEASE.... feel free
to reopen the bug if need be...

Note You need to log in before you can comment on or make changes to this bug.